<% if (section === 'css') { %>
<style>
  #manMeer-shotclock {
    text-align: center;
    height: 120%;
    line-height: 0.8;
    font-weight: bold;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="manMeer">
  <div id="manMeer-shotclock" class="max-size text-fit"></div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const manMeerShotclock = new Timer(100, 'down', (time) => {
    document.getElementById('manMeer-shotclock').innerHTML = (Math.round(time * 10) / 10).toFixed(1)

    fitText(document.getElementById('manMeer-shotclock'))
  })

  registerCommand('manMeer', 'time', (data) => {
    manMeerShotclock.setTime(data.time)

    if (data.running) {
      manMeerShotclock.start()
    } else {
      manMeerShotclock.stop()
    }
  })
</script>
<% } %>
